Skip to main content
GET
/
review_booster
/
search-invitation
Search for an invitation matching a set of criteria
curl --request GET \
  --url https://api.partoo.co/v2/review_booster/search-invitation \
  --header 'x-APIKey: <api-key>'
import requests

url = "https://api.partoo.co/v2/review_booster/search-invitation"

headers = {"x-APIKey": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-APIKey': '<api-key>'}};

fetch('https://api.partoo.co/v2/review_booster/search-invitation', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "page": 1,
  "max_page": 10,
  "count": 287,
  "review_invitations": [
    {
      "user_name": "Perceval",
      "user_id": "54b6733b9826bf1dd29af128",
      "id": "3d90efec-0d7f-4960-98c0-951d58dc14cb",
      "sent_time": "2019-06-06 11:57:27.274725+00:00"
    }
  ]
}
{
  "errors": {
    "json": {}
  }
}
{
  "errors": {
    "json": "Resource not found"
  }
}

Authorizations

x-APIKey
string
header
required

The authentication system on Partoo API is using API Key that should be put in the header of the request (the name of the header is x-APIKey). An api_key is linked to a user. This user's role will give you different access level to the API features.

Query Parameters

business_id
string
required

Business id

Example:

"5409c35a97bbc544d8e26737"

target_phone
string
required

the exact phone number we would have sent the invitation(s) to

Example:

"0701020304"

after
number
Example:

1559148288

Response

OK

page
integer

Current page number

Example:

1

max_page
integer

Last page number

Example:

10

count
integer

Number of resources complying with filters

Example:

287

review_invitations
object[]

List of invitations sent